LibStub:GetLibrary("Xii_LibEnv-1.0"):Use("ShinyStats")


ShinyLocale = LibStub("AceLocale-3.0"):GetLocale("ShinyStats")
L = ShinyLocale

local L = L


local TEMPLATES = {
	STAT_NUMBER = "[+%-]?%d+[%-%d,.]*%%?",
	DAMAGE_RANGE = "[%d,%-%s]+",
	-- FOOD_DURATION = "[%d+].-[.]",
}


(function()
	for k,v in pairs(L) do
		-- Do template substitutions
		if (type(v) == "string") then
			L[k] = v:gsub("{(.-)}", TEMPLATES)
		end
	end
end)()
